KJL - Feature #3552

Combobox No. Lot
04/08/2025 04:11 PM - haykal haykal

Status: Revise Start date: 04/08/2025
Priority: Urgent Due date: 04/11/2025
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mbak Yomma,

Ingin dibuatkan combobox No. Lot di bagian Material dokumen Production (Mixing, Extrusion, Flexing, Wrapping) (Tabel
PTRPRODUCTIONITEM, field Bin)

Isian dari comboboxnya adalah daftar No.Lot di PMDMATO0004 untuk Nama Barang yang telah dipilih.

Misalkan Material A punya banyak No.Lot (Bin) di PMDMATO0004, maka di comboboxnya muncul semua daftar No.Lot yang ada untk
Material A (user hrs memilih Material A dulu)

Untk settingannya sudah aku bikin combobox. Tinggal isiannya aja.

Note: Untuk yg FlowType Receipt memang No.Lot nya autogenerate
Namun untk yg FlowType Issue kata Bapak perlu dibuatkan combobox No. Lot ini agar nanti user bisa memilih.

Menu Path: Production Management > Production Order > Mixing, Extrusion, Flexing, Wrapping
Port: http://remote.minovais.com:61138/
DB: MinovaES_KJL_Prod (1452)

Terimakasih.

History

#1 - 04/09/2025 08:44 AM - Kezia Pawitra Yulianti
- Due date set to 04/11/2025
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#2 - 04/09/2025 04:45 PM - haykal haykal

- File Error check Stock Info Flexing Proses ke-3.png added

Dear Mbak Yomma,

Tadi 'kan aku testing Production dengan skenario berikut:

SPK 1 > Proses 1 > Goods Receipt

SPK 2 > Proses 2 > Goods Receipt

SPK 3 > Proses 3 > Goods Receipt

Tapi tadi ada masalah ketika aku mencoba membuat dokumen untk proses ke-3 (Flexing)

Jadi 'kan sesuai saran Mbak Yaya di dokumen Flexing itu aku buat yg di Flow Type Issue itu 2 barang. Barang yang satu gua pilih random aja dari
PMDMATO0004 (barang yang udh punya No. Lot), dan barang yang kedua adalah barang yang merupakan hasil dari proses produksi sebelumnya
(hasil proses produksi ke-2, Extrusion) yang telah terautogenerate No.Lotnya di proses Extrusion.

Namun karena yg Combobox No.Lot ini bim jadi, maka field No. Lot untuk dua barang yang FlowTypenya Issue ini gua input secara manual (diketik).
Tapi ada masalah Error check Stock Info ketika gua Save. Errornya seperti foto yg diattach. Kalau dari analisa Mbak Yaya kemungkinan error itu
terjadi karena No.Lotnya diinput freetext secara manual. Jadi asumsinya kemungkinan kalau redmine Combobox No. Lot ini sudah selesai didevelop

mungkin gak akan terjadi lagi errornya.

Barang random yg gua pilih dari Warehouse (PMDMAT0004)
Nama Barang: C/S P 7731 C Green - 74M0124 - Ink Paper Wrap
http://remote.minovais.com:61138/

MateriallD: 00000030
No. Lot: F06032514

Barang hasil proses produksi Extrusion

Nama Barang: C/S Cool Grey 10 C - 79M0066 - Ink Paper Wrap
MateriallD: 00000024

No. Lot: E080425302

Menu Path: Logistic & Service > Production Management > Flexing

Terimakasih.

#3 - 04/10/2025 03:06 PM - Tri Rizqiaty
- File Parameter ComboBox Lot.xIsx added

- Status changed from Assigned to Developing

Fixing ComboBox Lot :

1. Update SelecFunction di SDATATABLEFIELD - PTRPRODUCTIONITEM - MaterialiD
2. Update TableRef di SDATATABLEFIELD - PTRPRODUCTIONITEM - Bin

3. Update ValueField & DisplayField di SDATATABLEFIELD - PMDMATO0004 - Bin

4. Add PFILOGETCOMBOBIN di PCMWFCUSTPARAM

Fixing error stock info : tambahkan Field ltemType di tol PCMBSDOCREFITEM untuk semua DocType
#4 - 04/10/2025 03:06 PM - Tri Rizqiaty

- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

#5 - 04/11/2025 10:15 AM - haykal haykal

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to Tri Rizqgiaty

Dear Mbak Yomma, ada issue sedikit.

Untk pilihan Combobox No.Lotnya sudah benar menampilkan semua daftar No. Lot dari material yang dipilih.

Cuma tampaknya masih belum smooth. Ada case seperti ini:

Jadi aku 'kan memilih Nama Barang BIO Filler UF 401 PLA - Homopolymer (Material ID 00000001), disitu sudah benar tuh pilihan combobox No.
Lotnya menampilkan semua No. Lot untk si barang itu. Namun ketika aku ganti Nama Barangnya menjadi C/S P 7731 C Green - 74M0124
tampaknya ada bugs sedikit dan ketika aku cek comboboxnya pilihan No. Lot untk BIO Filler UF 401 PLA masih terbawa, padahal harusnya tidak.
Harunya yg muncul hanya pilihan No. Lot untk C/S P 7731 C Green saja.

Dan setelah case yang aku ceritakan ini, button Delete untk delete rownya jadi tidak berfungsi.

Tolong bantu dicek dan diperbaiki ya.

Terimakasih.

Files

Error check Stock Info Flexing Proses ke-3.png 4.67 KB 04/09/2025 haykal haykal
Parameter ComboBox Lot.xIsx 13 KB 04/10/2025 Tri Rizgiaty
